"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusPhrase = void 0;
/**
 * Status Phrase
 *
 * Source {@link https://developer.mozilla.org/en-US/docs/Web/HTTP/Status}
 *
 * @export
 * @enum {number}
 */
var StatusPhrase;
(function (StatusPhrase) {
    StatusPhrase["CONTINUE"] = "Continue";
    StatusPhrase["SWITCHING_PROTOCOLS"] = "Switching Protocols";
    StatusPhrase["PROCESSING"] = "Processing";
    StatusPhrase["EARLY_HINTS"] = "Early Hints";
    StatusPhrase["OK"] = "OK";
    StatusPhrase["CREATED"] = "Created";
    StatusPhrase["ACCEPTED"] = "Accepted";
    StatusPhrase["NON_AUTHORITATIVE_INFORMATION"] = "Non-Authoritative Information";
    StatusPhrase["NO_CONTENT"] = "No Content";
    StatusPhrase["RESET_CONTENT"] = "Reset Content";
    StatusPhrase["PARTIAL_CONTENT"] = "Partial Content";
    StatusPhrase["MULTI_STATUS"] = "Multi-Status";
    StatusPhrase["ALREADY_REPORTED"] = "Already Reported";
    StatusPhrase["IM_USED"] = "IM Used";
    StatusPhrase["MULTIPLE_CHOICES"] = "Multiple Choices";
    StatusPhrase["MOVED_PERMANENTLY"] = "Moved Permanently";
    StatusPhrase["FOUND"] = "Found";
    StatusPhrase["SEE_OTHER"] = "See Other";
    StatusPhrase["NOT_MODIFIED"] = "Not Modified";
    StatusPhrase["TEMPORARY_REDIRECT"] = "Temporary Redirect";
    StatusPhrase["PERMANENT_REDIRECT"] = "Permanent Redirect";
    StatusPhrase["BAD_REQUEST"] = "Bad Request";
    StatusPhrase["UNAUTHORIZED"] = "Unauthorized";
    StatusPhrase["PAYMENT_REQUIRED"] = "Payment Required";
    StatusPhrase["FORBIDDEN"] = "Forbidden";
    StatusPhrase["NOT_FOUND"] = "Not Found";
    StatusPhrase["METHOD_NOT_ALLOWED"] = "Method Not Allowed";
    StatusPhrase["NOT_ACCEPTABLE"] = "Not Acceptable";
    StatusPhrase["PROXY_AUTHENTICATION_REQUIRED"] = "Proxy Authentication Required";
    StatusPhrase["REQUEST_TIMEOUT"] = "Request Timeout";
    StatusPhrase["CONFLICT"] = "Conflict";
    StatusPhrase["GONE"] = "Gone";
    StatusPhrase["LENGTH_REQUIRED"] = "Length Required";
    StatusPhrase["PRECONDITION_FAILED"] = "Precondition Failed";
    StatusPhrase["PAYLOAD_TOO_LARGE"] = "Payload Too Large";
    StatusPhrase["URI_TOO_LONG"] = "URI Too Long";
    StatusPhrase["UNSUPPORTED_MEDIA_TYPE"] = "Unsupported Media Type";
    StatusPhrase["RANGE_NOT_SATISFIABLE"] = "Range Not Satisfiable";
    StatusPhrase["EXPECTATION_FAILED"] = "Expectation Failed";
    StatusPhrase["IM_A_TEAPOT"] = "I'm a teapot";
    StatusPhrase["MISDIRECTED_REQUEST"] = "Misdirected Request";
    StatusPhrase["UNPROCESSABLE_ENTITY"] = "Unprocessable Entity";
    StatusPhrase["LOCKED"] = "Locked";
    StatusPhrase["FAILED_DEPENDENCY"] = "Failed Dependency";
    StatusPhrase["TOO_EARLY"] = "Too Early";
    StatusPhrase["UPGRADE_REQUIRED"] = "Upgrade Required";
    StatusPhrase["PRECONDITION_REQUIRED"] = "Precondition Required";
    StatusPhrase["TOO_MANY_REQUESTS"] = "Too Many Requests";
    StatusPhrase["REQUEST_HEADER_FIELDS_TOO_LARGE"] = "Request Header Fields Too Large";
    StatusPhrase["UNAVAILABLE_FOR_LEGAL_REASONS"] = "Unavailable For Legal Reasons";
    StatusPhrase["INTERNAL_SERVER_ERROR"] = "Internal Server Error";
    StatusPhrase["NOT_IMPLEMENTED"] = "Not Implemented";
    StatusPhrase["BAD_GATEWAY"] = "Bad Gateway";
    StatusPhrase["SERVICE_UNAVAILABLE"] = "Service Unavailable";
    StatusPhrase["GATEWAY_TIMEOUT"] = "Gateway Timeout";
    StatusPhrase["HTTP_VERSION_NOT_SUPPORTED"] = "HTTP Version Not Supported";
    StatusPhrase["VARIANT_ALSO_NEGOTIATES"] = "Variant Also Negotiates";
    StatusPhrase["INSUFFICIENT_STORAGE"] = "Insufficient Storage";
    StatusPhrase["LOOP_DETECTED"] = "Loop Detected";
    StatusPhrase["NOT_EXTENDED"] = "Not Extended";
    StatusPhrase["NETWORK_AUTHENTICATION_REQUIRED"] = "Network Authentication Required";
})(StatusPhrase = exports.StatusPhrase || (exports.StatusPhrase = {}));
