import { StatusCode } from "./StatusCode";
import { StatusPhrase } from "./StatusPhrase";
import { StatusDescription } from "./StatusDescription";
import { IHttpResponsesDictionary } from "./Interfaces";
/**
 * Creates a dictionary containing all HTTP Statuses containing code, phrase and description.
 *
 * @returns dictionary
 */
export declare const makeHttpResponsesDictionary: () => IHttpResponsesDictionary;
/**
 * Get a status phrase from a given HTTP Status code
 *
 * @param code {StatusCode|number}
 * @returns {string}
 */
export declare const getStatusPhraseByCode: (code: number | StatusCode) => StatusPhrase;
/**
 * Get a description from a given HTTP Status code
 *
 * @param code {StatusCode|number}
 * @returns {string}
 */
export declare const getStatusDescriptionByCode: (code: number | StatusCode) => StatusDescription;
